package domain


type AlibabaWdkItemMerchantCategoryQueryWdkOpenSkuMerchantCatServiceQueryResult struct {
    /*
        成功或失败     */
    Success  *bool `json:"success,omitempty" `

    /*
        结果描述     */
    ReturnMsg  *string `json:"return_msg,omitempty" `

    /*
        结果码     */
    ReturnCode  *string `json:"return_code,omitempty" `

    /*
        {"skuCode":"categoryCode"}，skuCode和商家叶子类目编码映射关系     */
    SkuCodeCategoryCodeMap  *string `json:"sku_code_category_code_map,omitempty" `

}

func (s *AlibabaWdkItemMerchantCategoryQueryWdkOpenSkuMerchantCatServiceQueryResult) SetSuccess(v bool) *AlibabaWdkItemMerchantCategoryQueryWdkOpenSkuMerchantCatServiceQueryResult {
    s.Success = &v
    return s
}
func (s *AlibabaWdkItemMerchantCategoryQueryWdkOpenSkuMerchantCatServiceQueryResult) SetReturnMsg(v string) *AlibabaWdkItemMerchantCategoryQueryWdkOpenSkuMerchantCatServiceQueryResult {
    s.ReturnMsg = &v
    return s
}
func (s *AlibabaWdkItemMerchantCategoryQueryWdkOpenSkuMerchantCatServiceQueryResult) SetReturnCode(v string) *AlibabaWdkItemMerchantCategoryQueryWdkOpenSkuMerchantCatServiceQueryResult {
    s.ReturnCode = &v
    return s
}
func (s *AlibabaWdkItemMerchantCategoryQueryWdkOpenSkuMerchantCatServiceQueryResult) SetSkuCodeCategoryCodeMap(v string) *AlibabaWdkItemMerchantCategoryQueryWdkOpenSkuMerchantCatServiceQueryResult {
    s.SkuCodeCategoryCodeMap = &v
    return s
}
